Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.dialogs
Interface ModalDialogFactory

All Known Implementing Classes:
  AbstractModalDialogFactory, DefaultModalDialogFactory

    public interface ModalDialogFactory

The abstraction of objects that can create various dialogs (comparable to JOptionPane etc).

A static instance of this class can be acquired from `ProtegeUI.getModalDialogFactory()`/

Author:
  Holger Knublauch

Nested Class Summary
`static interface` | `ModalDialogFactory.CloseCallback`

Field Summary
`static int` | `MODE_CLOSE`
`static int` | `MODE_OK_CANCEL`
`static int` | `MODE_YES_NO`
`static int` | `MODE_YES_NO_CANCEL`
`static int` | `OPTION_CANCEL`
`static int` | `OPTION_CLOSE`
`static int` | `OPTION_NO`
`static int` | `OPTION_OK`
`static int` | `OPTION_YES`
`static int` | `RESULT_ERROR`

Method Summary
`void` | `attemptDialogClose(int result)`
`int` | `showConfirmCancelDialog(Component parent, String message, String title)` Shows a dialog with Yes, No, and Cancel options.
`int` | `showConfirmCancelDialog(OWLModel owlModel, String message, String title)`
`boolean` | `showConfirmDialog(Component parent, String message, String title)`
`boolean` | `showConfirmDialog(OWLModel owlModel, String message, String title)`
`int` | `showDialog(Component parent, Component panel, String title, int mode)`
`int` | `showDialog(Component parent, Component panel, String title, int mode, Component componentToFocus)`
`int` | `showDialog(Component parent, Component panel, String title, int mode, ModalDialogFactory.CloseCallback callback)`
`int` | `showDialog(Component parent, Component panel, String title, int mode, ModalDialogFactory.CloseCallback callback, boolean enableCloseButton)`
`int` | `showDialog(Component parent, Component panel, String title, int mode, ModalDialogFactory.CloseCallback callback, boolean enableCloseButton, Component componentToFocus)`
`void` | `showErrorMessageDialog(Component parent, String message)`
`void` | `showErrorMessageDialog(Component parent, String message, String title)`
`void` | `showErrorMessageDialog(OWLModel owlModel, String message)`
`void` | `showErrorMessageDialog(OWLModel owlModel, String message, String title)`
`String` | `showInputDialog(Component parent, String message, String initialValue)`
`String` | `showInputDialog(OWLModel owlModel, String message, String initialValue)`
`void` | `showMessageDialog(Component parent, String message)`
`void` | `showMessageDialog(Component parent, String message, String title)`
`void` | `showMessageDialog(OWLModel owlModel, String message)`
`void` | `showMessageDialog(OWLModel owlModel, String message, String title)`
`void` | `showThrowable(OWLModel owlModel, Throwable t)`

Field Detail

### OPTION_OK

    static final int OPTION_OK

See Also:
  Constant Field Values

### OPTION_YES

    static final int OPTION_YES

See Also:
  Constant Field Values

### OPTION_NO

    static final int OPTION_NO

See Also:
  Constant Field Values

### OPTION_CANCEL

    static final int OPTION_CANCEL

See Also:
  Constant Field Values

### OPTION_CLOSE

    static final int OPTION_CLOSE

See Also:
  Constant Field Values

### RESULT_ERROR

    static final int RESULT_ERROR

See Also:
  Constant Field Values

### MODE_OK_CANCEL

    static final int MODE_OK_CANCEL

See Also:
  Constant Field Values

### MODE_YES_NO_CANCEL

    static final int MODE_YES_NO_CANCEL

See Also:
  Constant Field Values

### MODE_YES_NO

    static final int MODE_YES_NO

See Also:
  Constant Field Values

### MODE_CLOSE

    static final int MODE_CLOSE

See Also:
  Constant Field Values

Method Detail

### attemptDialogClose

    void attemptDialogClose(int result)

### showDialog

    int showDialog(Component parent,
                   Component panel,
                   String title,
                   int mode)

### showDialog

    int showDialog(Component parent,
                   Component panel,
                   String title,
                   int mode,
                   ModalDialogFactory.CloseCallback callback)

### showDialog

    int showDialog(Component parent,
                   Component panel,
                   String title,
                   int mode,
                   ModalDialogFactory.CloseCallback callback,
                   boolean enableCloseButton)

### showDialog

    int showDialog(Component parent,
                   Component panel,
                   String title,
                   int mode,
                   ModalDialogFactory.CloseCallback callback,
                   boolean enableCloseButton,
                   Component componentToFocus)

### showDialog

    int showDialog(Component parent,
                   Component panel,
                   String title,
                   int mode,
                   Component componentToFocus)

### showConfirmCancelDialog

    int showConfirmCancelDialog(OWLModel owlModel,
                                String message,
                                String title)

### showConfirmCancelDialog

    int showConfirmCancelDialog(Component parent,
                                String message,
                                String title)

  Shows a dialog with Yes, No, and Cancel options.

  Parameters:
    `parent` -
    `message` -
    `title` -
  Returns:
    OPTION_YES, OPTION_NO or OPTION_CANCEL

### showConfirmDialog

    boolean showConfirmDialog(OWLModel owlModel,
                              String message,
                              String title)

### showConfirmDialog

    boolean showConfirmDialog(Component parent,
                              String message,
                              String title)

### showErrorMessageDialog

    void showErrorMessageDialog(OWLModel owlModel,
                                String message)

### showErrorMessageDialog

    void showErrorMessageDialog(OWLModel owlModel,
                                String message,
                                String title)

### showErrorMessageDialog

    void showErrorMessageDialog(Component parent,
                                String message)

### showErrorMessageDialog

    void showErrorMessageDialog(Component parent,
                                String message,
                                String title)

### showInputDialog

    String showInputDialog(OWLModel owlModel,
                           String message,
                           String initialValue)

### showInputDialog

    String showInputDialog(Component parent,
                           String message,
                           String initialValue)

### showMessageDialog

    void showMessageDialog(OWLModel owlModel,
                           String message)

### showMessageDialog

    void showMessageDialog(OWLModel owlModel,
                           String message,
                           String title)

### showMessageDialog

    void showMessageDialog(Component parent,
                           String message)

### showMessageDialog

    void showMessageDialog(Component parent,
                           String message,
                           String title)

### showThrowable

    void showThrowable(OWLModel owlModel,
                       Throwable t)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.